Package org.apache.torque.templates.transformer.om

# Class OMTransformer

java.lang.Object
org.apache.torque.templates.transformer.om.OMTransformer

All Implemented Interfaces:
  `SourceTransformer`

public class OMTransformer extends Object implements SourceTransformer
Performs the transformations which are necessary to apply the OM templates to the source tree. This transformer performs the following actions:

- adds attributes to source elements
- links elements to other source elements

No elements or attributes are deleted. This transformer calls the following other transformers on the source tree:

- IncludeSchemaTransformer on the root node
- LoadExternalSchemaTransformer on the root node
- OMTableAndViewTransformer on all tables and views
- OMForeignKeyColumnTransformer on all columns
- OMForeignKeyTransformer on all foreign keys (two passes)

$Id: OMTransformer.java 1850969 2019-01-10 18:09:47Z painter $

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OMTransformer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `setRootDatabaseName(Database database)`
  Sets the rootDatabaseName attribute of the database element to the database's name.
  `static void`
  `setRootDatabaseNameAttribute(SourceElement databaseElement)`
  Sets the rootDatabaseName attribute of the database element to the database's name.
  `SourceElement`
  `transform(Object modelRoot, ControllerState controllerState)`
  Transforms the source tree so it can be used by the om templates.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OMTransformer

    public OMTransformer()

- ## Method Details

  - ### transform

    public SourceElement transform(Object modelRoot, ControllerState controllerState) throws SourceTransformerException
    Transforms the source tree so it can be used by the om templates.
    Specified by:
      `transform` in interface `SourceTransformer`
    Parameters:
      `modelRoot` - the database root element of the source tree, not null.
      `controllerState` - the controller state, not null.
    Throws:
      `SourceTransformerException` - if the transformation fails.

  - ### setRootDatabaseNameAttribute

    public static void setRootDatabaseNameAttribute(SourceElement databaseElement)
    Sets the rootDatabaseName attribute of the database element to the database's name.
    Parameters:
      `databaseElement` - the database element, not null.

  - ### setRootDatabaseName

    public static void setRootDatabaseName(Database database)
    Sets the rootDatabaseName attribute of the database element to the database's name.
    Parameters:
      `database` - the database element, not null.